Bug 74732 - Wrong boot disk selected for grub
Wrong boot disk selected for grub
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-10-01 04:38 EDT by Ulrich Drepper
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-02 15:20:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2002-10-01 04:38:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20020812

Description of problem:
One of my systems has mainly SCSI disks but also one IDE disk.  The BIOS allows
to select which device is the boot device according to the controller (the SCSI
controller, IDE disk, IDE CDROM, ...).  Before the upgrade to RHL8  the default
was the SCSI controller.

After successfully installing RHL8 booting failed.  Nothing at all worked.  The
reason is that anaconda automatically chose to use /dev/hda (the IDE disk) for
the boot block.  As mentioned, this wasn't my book disk.

There is no way I could overwrite this.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Get system with SCSI and IDE disks
2.make booting from SCSI default
3.normal installation, use grub
4. reboot

Actual Results:  Does not boot.

Expected Results:  Booting from BIOS device after anaconda selected it for the
boot record.

Additional info:

Anaconda (and/or the kernel) should look at the BIOS setting for the boot device.

In addition, there should be the possibility to overwrite the boot device in the
grub setup in anaconda.
Comment 1 Michael Fulbright 2002-10-02 15:14:49 EDT
Did you use the advanced option in the bootloader config to redefine the boot
order of your system?
Comment 2 Ulrich Drepper 2002-10-02 15:20:04 EDT
> Did you use the advanced option in the bootloader config to redefine the boot
> order of your system?

I didn't do anything special since I assumed Anaconda wouldn't try to interfere
with the system setup.  This was a plain installation without any tweaks.
Comment 3 Michael Fulbright 2002-10-02 15:46:16 EDT
We have no reliable way to detect the boot order that BIOS is configured for
unfortunately, so the user has to tell us.  Its not obvious, but your
configuration is not particularly common in my experience so it takes a little
more effort to get it working.
Comment 4 Ulrich Drepper 2002-10-02 16:10:40 EDT
By ignoring all bugs as you seem to do it the product isn't going to get better.

There is support for to access the BIOS available in the kernel.  Some Dell guys
recently even updated it or at least sent patches.  And the situation isn't
guaranteed to be uncommon.  Everybody who has both SCSI and IDE is affected. 
Maybe even those which have more than one IDE or SCSI controller.  If a system
simply doesn't work after the upgrade it's 100% the installers fault since the
information is available on the system.

Note You need to log in before you can comment on or make changes to this bug.